# TODO

- [ ] Update Readme (CI, Git, plantuml, etc.)
- [x] Split `docker/web/docker-compose.yaml` into different configs (e.g. `web`, `gitlab`, `drone`) using the same network
- [x] Use `/var/lib/pbri/docker/...` instead of Docker volumes (makes backups easier)
    - [x] Make it inaccessible to anyone but root (`-rw------`)
- [x] Add [Drone runner](https://docs.drone.io/runner/docker/installation/linux/)
- [ ] Figure out how to dependably store `.env` files (Ansible vault? Something else?)
- [x] Check out docker swarm and current best practices for Ansible
- [x] Use Gitea instead of GitLab
- [ ] Add drone exec runner for Nix builds with shared `/nix`
- [ ] Lint caddy file, add gzip and disable admin interface
- [x] Make Gitea display graphs in Notebooks (see https://docs.gitea.io/en-us/external-renderers/).
